      subroutine assign_sigma_epsilon(new)
      implicit none
      include 'parameters.inc' 
      include 'sigmas.inc' 
      include 'epsilons.inc' 
      include 'spring.inc'


      integer i
      REAL sig,eps,req_small
      logical new

      req_small=2.68         

      write(*,*) new
      if(new) then
c     ** Assign here sigma and epsilons of atoms
c     ** Lorentz rule applies in the non-bonded LJ interaction:
c     **  sigma_ij=0.5(sigma_ii+sigma_jj)
c     **  epsilon_ij=sqrt(eps_i*eps_j)
         

         do i=1,nmax
            sigma(i)=1.0
            epsilon(i)=1.0
            req(i)=req_small
         end do
      end if
      
      write(*,*) ' Sigma LJ(equal for all monomers)    ',sigma(1)
      write(*,*) ' Epsilon LJ(equal for all monomers)  ',epsilon(1)
      
      return
      end
