c*******usage: vmx
c***  call density_profile(0,nbin,rmx,vmx) ! density and velocity distributions
c***  call density_profile(1,nbin,rmx,vmx) ! density and velocity distributions
c***  if(mod(istp,nwrite).eq.0)   call density_profile(2,nbin,rmx,vmx) ! density and velocity distributions
c***  call density_profile(2,nbin,rmx,vmx) ! density and velocity distributions
      
      subroutine density_profile(sw,dxbin)
      implicit none
      include 'parameters.inc'
      include 'nparticulas.inc'
      include 'geom.inc'
      include 'config.inc'
      include 'veloc.inc'
      integer i,ibin,sw,icount,nbin
      real vbin,dxbin,xmin,xmax,xx
      save vbin,icount,xmin,xmax
      real hist(nbin_mx),xdens(nbin_mx)
      save hist,xdens      
      real  x(nmax),y(nmax),z(nmax)
      real vyhist(nbin_mx)
      save vyhist
      save nbin
      integer ic,imol


      if(sw.eq.0) then
      icount=0
      do ibin=1,nbin_mx
         hist(ibin)=0.
         vyhist(ibin)=0.
         xdens(ibin)=0.
      end do

      xmin=-lx*0.5
      xmax=lx*0.5      
      nbin=int((xmax-xmin)/dxbin)
      if(nbin.gt.nbin_mx) stop 'increase nbin_mx'

      write(*,*) 'DENSITY_PROFILE_X_NBIN',nbin
      write(*,*) 'DENSITY_PROFILE_X_DXBIN',dxbin
      else if(sw.eq.1) then      
         call pbc_images_back(x,y,z)
         icount=icount+1
         do i=1,np
            xx=(x(i)-xmin)
            ibin=1+int(xx/dxbin)
            hist(ibin)=hist(ibin)+1.0
            vyhist(ibin)= vyhist(ibin)+vy(i)
         end do                            
      else if(sw.eq.2) then

         vbin=lz*ly*dxbin

         open(unit=31,file='dens_profil.dat')
         
         do ibin=1,nbin
            xdens(ibin)=0.5*dxbin+dxbin*(float(ibin)-1.0)
            write(31,999) xdens(ibin),hist(ibin)/vbin/real(icount),
     &           vyhist(ibin)/hist(ibin)
         end do
         close(31)

c$$$         open(unit=33,file='vel_profil.dat')
c$$$         do ibin=1,nbin
c$$$c         write(33,999) lx/2.+xmin+xdens(ibin), vyhist(ibin)/hist(ibin)
c$$$         end do
c$$$         close (33)

      end if
 999  format(5d16.5)

      return
      end


