       program md
      implicit none
c******************************************************************
c     modelizacion de un fluido LJ (O WCA)
c******************************************************************
      include 'parameters.inc'  
      include 'init.inc'
      include 'time.inc'
cccccc
      integer i

      call init
      call mean_thermo(0)
      call nabors                     !     ** neighbour list (head&list)
      call force                      !     ** initial forces   
      if(zero_momentum) call set_zero_momentum
c      if(diffusion) call mean_sq_disp(0,dt,tdifmax,np,vx,vy,vz,1,np)
c      call profiles_stress_x(0,dxbin)
c      call density_profile_x(0,dxbin_dens) 
c      call radialdistribution(0,nsamp,55)
c      call profiles_z_FOURIER_x(0,dxbin)
c      call density_profile_z(0,dxbin) 

      write(*,*) ' ------------------ ' 
      write(*,*) '    R    U     N    '
      write(*,*) ' ------------------ ' 

c* * * * * * * * * * * * * *
c    comienza el bucle de paso del tiempo
c* * * * * * * * * * * * * *
        ttime=0
        step=0
        nstep = int(tmax/dt)


        do while (ttime.lt.tmax)

           ttime = ttime + dt 
           step = step + 1
          
           call movea(dt) !velocity verlet first step
           call force
           call moveb(dt)  !velocity verlet second step

C            if(pbc) call pbc     !put all particles back to periodic box  

           if(mod(step,nsave).eq.0) call save                        
           if(mod(step,nsamp).eq.0) then 
              call mean_thermo(1)     
c$$$  call radialdistribution(1,nsamp,55)
c$$$  call profiles_stress_x(1,dxbin)
c$$$  call profiles_x(dxbin)
c$$$  call density_profile_x(1,dxbin_dens) 
c$$$  call density_profile_z(1,dxbin) 
c$$$  call profiles_z_FOURIER_x(1,dxbin)                  
           end if
c     if(diffusion) call mean_sq_disp(1,dt,tdifmax,np,vx,vy,vz,1,np)


c     ** OUTPUT RESULTS **
           if(mod(step,nbitac).eq.0) then               
c              call density_profile(2,dxbin) 
c              call radialdistribution(2,nsamp,55)
c              call density_profile_x(2,dxbin_dens) 
           end if

           
        end do

c     if(diffusion)call mean_sq_disp(2,dt,tdifmax,np,vx,vy,vz,1,np)
c     call profiles_stress_x(2,dxbin)
        
c     salvar configuracion final
           call save
           end
      

