      subroutine pbc_images_back(x,y,z)
      implicit none
      include 'parameters.inc' 
      include 'geom.inc'     
      include 'nparticulas.inc'
      include 'config.inc'
      integer i
      REAL x(nmax),y(nmax),z(nmax)
c     ** Carry R to the pbc calculation box (R is unbounded)
c     ** domain is (-0.5,0.5)*lx, etc...
c     ** x,y,z are within (-1/2,1/2)*L

      do i=1,np
         x(i)=rx(i)-anint(rx(i)/lx)*lx
         y(i)=ry(i)-anint(ry(i)/ly)*ly
         z(i)=rz(i)-anint(rz(i)/lz)*lz
      end do

      return 
      end
