      subroutine force
      implicit none
      include 'parameters.inc'
      include 'nparticulas.inc'
      include 'forces.inc'
      include 'energy_and_virial.inc'

      integer i
c     ** Non bonded forces **
      REAL fnbx(nmax),fnby(nmax),fnbz(nmax)
c     ** bond forces **
      REAL fbx(nmax),fby(nmax),fbz(nmax),drmean
c     ** flow perturbation forces **
      real  fpx(nmax),fpy(nmax),fpz(nmax)

      e_bonded=0.
      w_bonded=0.
      e_nonbonded=0.
      w_nonbonded=0.

      call zero_array(nmax,fnbx,fnby,fnbz)
      call zero_array(nmax,fbx,fby,fbz)
c      call zero_array(nmax,fpx,fpy,fpz)


      call forces_non_bonded(fnbx,fnby,fnbz,v,w)
c      call force_perturbation(fpx,fpy,fpz)
      e_nonbonded=v
      w_nonbonded=w
c     call forces_bonded_FENE(fbx,fby,fbz)
c     call forces_bonded_SPRING(fbx,fby,fbz,e_bonded)
      
      do i=1,np
         fx(i)=fnbx(i)+fbx(i)+fpx(i)
         fy(i)=fnby(i)+fby(i)+fpy(i)
         fz(i)=fnbz(i)+fbz(i)+fpz(i)
      end do
      
       eptot=e_bonded+e_nonbonded
       wtot=w_bonded+w_nonbonded


      return
      end
