      subroutine force_lj(rij2,fij,vij,wij)
      implicit none
      include 'lj.inc'          !definition of rcut, vcut, etc..
      real rij2
      REAL sig,eps_sig,eps_sig6,eps_sig12,aa,bb,eps
      REAL rcutoff2
      REAL sr2,sr6
      REAL vij,wij,fij      
      
      sr2=0.0d0
      sr6=0.0d0
c     sig=0.5*(sigma(i)+sigma(j))
      sig=1.0
      eps=1.0
      eps_sig6=1.0
      eps_sig12=1.0
         
      fij=0.
      vij=0.
      wij=0.0
      
      rcutoff2=(rcut*sig)**2
      if(rij2.lt.rcutoff2) then
                  
c     eps=epsilon(i)*epsilon(j)
c     eps=sqrt(eps)
c     eps_sig6=(eps*sig)**6
c     eps_sig12=eps_sig6**2
         
         AA=eps_sig12
         BB=eps_sig6
         sr2 = 1.0d0/rij2
         sr6 = sr2*sr2*sr2
         
         vij=sr6*(AA*sr6-BB)    !potencial
         vij=vij-vcut           !potencial -shifted con vcut-
         wij=sr6*(AA*sr6-0.5*BB) !virial
         fij=wij/rij2           !fuerza/r
         
      end if
      
      return
      end
      
