      subroutine mean_thermo(sw)
      implicit none
      integer sw,icel,i
      include 'parameters.inc'
      include 'nparticulas.inc'
      include 'geom.inc'
      include 'total_thermo.inc'     
      include 'energy_and_virial.inc'
      include 'veloc.inc'
      include 'time.inc'
      include 'init.inc'
      REAL volu,ett
      REAL cvm,csm
      save volu

      if(sw.eq.0) then
         write(*,*) " Time, TEMPERATURE,   PRES,  ETOT/NP"
         temptot=0.
         prestot=0.
         ep=0.
         volu=lx*ly*lz
      else if(sw.eq.1) then
         ep=v/real(np)          !potential energy per particle
         ekin=0.
         do i=1,np
            ekin=ekin+vx(i)**2+vy(i)**2+vz(i)**2
         end do
         ekin=0.5*ekin
         temptot=2.*ekin/3./real(np)
         denstot=real(np)/volu
         prestot=denstot*temptot+W/3.0/volu
         ett=eptot+ekin
c         ett=ett/real(np)       !energia por particula
         
         write(27,'(7f17.7)') ttime,eptot,ekin,ett
         write(28,'(6f15.7)') ttime,denstot,
     &              temptot,ep,prestot,ett/real(np)

         write(*,'(6e15.7)') ttime,temptot,prestot,ett/real(np)
      
         end if
         return
         end
      
